Author Topic: SlickEdit Core v3.6.1 for Eclipse Now Available  (Read 5020 times)

Ryan

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 987
  • Hero Points: 77
SlickEdit Core v3.6.1 for Eclipse Now Available
« on: December 06, 2010, 04:12:48 pm »
SlickEdit Inc. announces the release of SlickEdit Core v3.6.1 for Eclipse. This release supports Eclipse 3.4, 3.5, and 3.6, and is updated with the latest capabilities from SlickEdit 2010.

If you participated in the beta program for SlickEdit Core v3.6.0, we recommend uninstalling the beta version of SlickEdit Core prior to installing the released version of SlickEdit Core v3.6.1.  You can do this through the Eclipse installation manager, but you should also check the ECLIPSEDIR/plugins and ECLIPSEDIR/features directories to make sure that Eclipse fully removed the beta.

New This Year

Please be sure to read the readme notes at Help > About SlickEdit Core > Release Notes. They contain a list of new features and bug fixes, including the following:
  • Improved Split Window Editing
  • F1 Contextual Help
  • Set Options for All Languages
  • Subword Navigation
  • Auto Close and Overtype
  • Doc Comment Updates
  • Multithreaded Context Tagging
  • Editor Notifications
  • New Outline View for XML

Download Instructions

Your existing SlickEdit Core license file will work for this release.  To install SlickEdit Core v3.6.1 (for Eclipse 3.5, 3.6):

  • In Eclipse, select Help > Install New Software and click the Add button.
  • Enter the following URL for the Location: https://customer.slickedit.com/update/secore/helios and click OK.
  • Expand the Code Editing category and mark the check box for SlickEdit Core For Eclipse.
  • Click Next and continue through the wizard to complete the install process.  You will be prompted to restart Eclipse after the installation is finished.

or for Eclipse 3.4:

  • In Eclipse, select Help > Software Updates and switch to the Available Software tab.
  • Click Add Site and enter the following URL for the Location: https://customer.slickedit.com/update/secore/helios and click OK.
  • Expand the Code Editing category and mark the check box for SlickEdit Core For Eclipse.
  • Click Install and then continue through the wizard to complete the install process.  You will be prompted to restart Eclipse after the installation is finished.

Regards,
The SlickEdit Team

brebey

  • Community Member
  • Posts: 50
  • Hero Points: 1
Re: SlickEdit Core v3.6.1 for Eclipse Now Available - Crashes Eclipse!!
« Reply #1 on: October 10, 2011, 06:51:46 pm »
I just upgraded my system to Windows 7 x64, and duly installed Eclipse Helios x64, and immediately tried to get SE Core installed.  It seemed to install just fine through the normal Eclipse "Help|Install..." mechanism, but when Eclipse starts, it gets an error and quits right away.

I've come to rely HEAVILY on having SECore availabe in eclipse!  If someone could solve this for me, I'd REALLY appreciate it!

Here is what's in the workspace/.metadata/.log file:

!SESSION 2011-10-10 14:49:44.205 -----------------------------------------------
eclipse.buildId=M20110210-1200
java.version=1.7.0
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US
Framework arguments:  -product org.eclipse.epp.package.jee.product
Command-line arguments:  -os win32 -ws win32 -arch x86_64 -product org.eclipse.epp.package.jee.product

!ENTRY org.eclipse.osgi 4 0 2011-10-10 14:49:52.411
!MESSAGE Application error
!STACK 1
java.lang.UnsatisfiedLinkError: com.slickedit.eclipse.SlickEditSystem.getAlertGroupVisible(I)I
   at com.slickedit.eclipse.SlickEditSystem.getAlertGroupVisible(Native Method)
   at com.slickedit.swt.StatusIcon.createControl(StatusIcon.java:55)
   at org.eclipse.ui.menus.WorkbenchWindowControlContribution.delegateCreateControl(WorkbenchWindowControlContribution.java:102)
   at org.eclipse.ui.internal.menus.DynamicToolBarContributionItem.createControl(DynamicToolBarContributionItem.java:208)
   at org.eclipse.jface.action.ControlContribution.fill(ControlContribution.java:97)
   at org.eclipse.jface.action.ToolBarManager.update(ToolBarManager.java:353)
   at org.eclipse.jface.action.ToolBarManager.createControl(ToolBarManager.java:111)
   at org.eclipse.ui.internal.menus.TrimContributionManager$ToolBarTrimProxy.dock(TrimContributionManager.java:88)
   at org.eclipse.ui.internal.menus.TrimContributionManager.update(TrimContributionManager.java:265)
   at org.eclipse.ui.internal.WorkbenchWindow.updateLayoutDataForContents(WorkbenchWindow.java:3836)
   at org.eclipse.ui.internal.WorkbenchWindow.setLayoutDataForContents(WorkbenchWindow.java:3847)
   at org.eclipse.ui.internal.WorkbenchWindow.createDefaultContents(WorkbenchWindow.java:1130)
   at org.eclipse.ui.internal.WorkbenchWindowConfigurer.createDefaultContents(WorkbenchWindowConfigurer.java:623)
   at org.eclipse.ui.application.WorkbenchWindowAdvisor.createWindowContents(WorkbenchWindowAdvisor.java:268)
   at org.eclipse.ui.internal.WorkbenchWindow.createContents(WorkbenchWindow.java:1016)
   at org.eclipse.jface.window.Window.create(Window.java:431)
   at org.eclipse.ui.internal.Workbench$22.runWithException(Workbench.java:1208)
   at org.eclipse.ui.internal.StartupThreading$StartupRunnable.run(StartupThreading.java:31)
   at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
   at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:134)
   at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4041)
   at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3660)
   at org.eclipse.ui.application.WorkbenchAdvisor.openWindows(WorkbenchAdvisor.java:803)
   at org.eclipse.ui.internal.Workbench$31.runWithException(Workbench.java:1567)
   at org.eclipse.ui.internal.StartupThreading$StartupRunnable.run(StartupThreading.java:31)
   at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
   at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:134)
   at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4041)
   at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3660)
   at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2548)
   at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:2438)
   at org.eclipse.ui.internal.Workbench$7.run(Workbench.java:671)
   at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
   at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:664)
   at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
   at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:115)
   at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
   at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
   at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
   at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:369)
   at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
   at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
   at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
   at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
   at java.lang.reflect.Method.invoke(Unknown Source)
   at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:620)
   at org.eclipse.equinox.launcher.Main.basicRun(Main.java:575)
   at org.eclipse.equinox.launcher.Main.run(Main.java:1408)
   at org.eclipse.equinox.launcher.Main.main(Main.java:1384)

Ryan

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 987
  • Hero Points: 77
Re: SlickEdit Core v3.6.1 for Eclipse Now Available
« Reply #2 on: October 10, 2011, 06:59:27 pm »
SlickEdit Core 3.6.1 (and all earlier versions of the plugin) are not 64 bit...and will not run in a 64 bit JVM/Eclipse.  You need to run a 32 bit JVM/Eclipse: http://www.slickedit.com/products/slickedit-core/system-requirements.  If you want to be able to run Core 3.6.1, but use 64 bit Java for everything else...you can download 32 bit Eclipse Helios, 32 bit Java, and edit the eclipse.ini file for the Eclipse installation so that it will use the 32 bit Java instead of the 64 bit Java, which is presumably in your PATH.

The upcoming Core 3.7.0 will have 32 bit and 64 bit versions.

Hope this helps,

Ryan

brebey

  • Community Member
  • Posts: 50
  • Hero Points: 1
Re: SlickEdit Core v3.6.1 for Eclipse Now Available
« Reply #3 on: October 10, 2011, 07:03:46 pm »
Thanks, Ryan.  That's disappointing, but I'm glad to hear SECore 3.7 will be 64-bit compatible!  I'll deal with the workaround for the time being.  When do you think 3.7 will be available?
« Last Edit: October 10, 2011, 07:17:21 pm by brebey »

Ryan

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 987
  • Hero Points: 77
Re: SlickEdit Core v3.6.1 for Eclipse Now Available
« Reply #4 on: October 10, 2011, 07:37:19 pm »
The last updates were in this thread: http://community.slickedit.com/index.php/topic,7153.0.html.

- Ryan

PlanetPratt

  • Senior Community Member
  • Posts: 145
  • Hero Points: 6
Re: SlickEdit Core v3.6.1 for Eclipse Now Available
« Reply #5 on: October 11, 2011, 08:58:46 pm »
I have a license for SlickEdit Core [suspicious](S/N: WBEC101401)[/suspicious] but your system won't allow me to register it.  I'd very much like to participate in the beta, but it appears that I can't get to the download unless I can get my license registered.  Help!!
  (*Chris*)

Ryan

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 987
  • Hero Points: 77
Re: SlickEdit Core v3.6.1 for Eclipse Now Available
« Reply #6 on: October 12, 2011, 02:35:48 pm »
Hi Chris,

Sometimes the approvals take a little time...but I just checked in our system and to me it looks like this serial has been approved for you, now.  So if you try to register again is it still not letting you?

- Ryan

PlanetPratt

  • Senior Community Member
  • Posts: 145
  • Hero Points: 6
Re: SlickEdit Core v3.6.1 for Eclipse Now Available
« Reply #7 on: October 12, 2011, 03:21:09 pm »
Whew, that did take a while, but it let me in.  Thanks for your assistance.
  (*Chris*)